KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# GeoDataObject Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoNode,Serializable
Subclasses: Marble.GeoDataColorStyle, Marble.GeoDataFeature, Marble.GeoDataGeometry, Marble.GeoDataHotSpot, Marble.GeoDataLatLonBox, Marble.GeoDataStyleSelector
Namespace: Marble

## Detailed Description

A base class for all geodata objects

GeoDataObject is the base class for all geodata classes. It is never instantiated by itself, but is always used as part of a derived object.

The Geodata objects are all modeled after the Google KML files as defined in http://code.google.com/apis/kml/documentation/kml_tags_21.html.

A GeoDataObject contains 2 properties, both corresponding directly to tags in the KML files: the id, which is a unique identifier of the object, and a targetId which is used to reference other objects that have already been loaded.

The id property must only be set if the Update mechanism of KML is used, which is currently not supported by Marble.

## Methods
| __init__ (self, Marble.GeoDataObject parent=0)
| __init__ (self, Marble.GeoDataObject a0)
Marble.GeoDataObject | child (self, int a0)
int | childCount (self)
int | childPosition (self, Marble.GeoDataObject a0)
int | id (self)
| pack (self, QDataStream stream)
Marble.GeoDataObject | parent (self)
int | row (self)
| setId (self, int value)
| setParent (self, Marble.GeoDataObject a0)
| setTargetId (self, int value)
int | targetId (self)
| unpack (self, QDataStream steam)

## Method Documentation

__init__ | ( | self, |
|  | Marble.GeoDataObject | parent=0
| ) |  |  |

__init__ | ( | self, |
|  | Marble.GeoDataObject | a0
| ) |  |  |

Marble.GeoDataObject child | ( | self, |
|  | int | a0
| ) |  |  |

returns the requested child item

int childCount | ( |  | self ) |

returns the number of items in the list

int childPosition | ( | self, |
|  | Marble.GeoDataObject | a0
| ) |  |  |

returns the position of an item in the list

int id | ( |  | self ) |

Get the id of the object.

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Reimplemented from Serializable

Marble.GeoDataObject parent | ( |  | self ) |

returns the parent in the document tree

int row | ( |  | self ) |

returns this items position in the parents list

setId | ( | self, |
|  | int | value
| ) |  |  |

Set the id of the object

Parameters:

  | value | the new id value

setParent | ( | self, |
|  | Marble.GeoDataObject | a0
| ) |  |  |

sets the parent in the document tree

setTargetId | ( | self, |
|  | int | value
| ) |  |  |

set a new targetId of this object

Parameters:

  | value | the new targetId value

int targetId | ( |  | self ) |

Get the targetId of the object to be replaced

unpack | ( | self, |
|  | QDataStream | steam
| ) |  |  |

Reimplemented from Serializable